<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>CDAGenerator</artifactId>
		<groupId>net.ihe.gazelle</groupId>
		<version>3.0.1-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>net.ihe.gazelle</groupId>
	<artifactId>CDAGenerator-ear</artifactId>
	<packaging>ear</packaging>
	<name>CDAGenerator-ear</name>
	<issueManagement>
		<system>Jira</system>
		<url>http://gazelle.ihe.net/jira</url>
	</issueManagement>
	<ciManagement>
		<system>Hudson</system>
		<url>http://sumo.irisa.fr:8080/hudson</url>
	</ciManagement>
	<contributors>
		<contributor>
			<organization>INRIA - Rennes Bretagne Atlantique</organization>
		</contributor>
	</contributors>
	<organization>
		<name>INRIA - IHE Development</name>
		<url>http://gazelle.ihe.net</url>
	</organization>
	<properties>
		<version.soapui>5.3.0</version.soapui>
	</properties>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ear-plugin</artifactId>
				<version>2.4.2</version>
				<configuration>
					<version>5</version>
					<filtering>true</filtering>
					<!-- use for generating the jboss-app.xml file -->
					<!-- use for generating the application.xml file -->
					<displayName>CDA Generator</displayName>
					<description>Validator of CDA documents</description>
					<includeLibInApplicationXml>false</includeLibInApplicationXml>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>
						<!-- web module -->
						<webModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>CDAGenerator-ui</artifactId>
							<contextRoot>/CDAGenerator</contextRoot>
							<unpack>false</unpack>
							<bundleFileName>CDAGenerator-ui.war</bundleFileName>
						</webModule>
						<!-- Gazelle modules required for building this application -->
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>CDAGenerator-ejb</artifactId>
							<uri>CDAGenerator-ejb.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle.model</groupId>
							<artifactId>gazelle-model-tf</artifactId>
							<uri>gazelle-model-tf.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle.model</groupId>
							<artifactId>gazelle-model-common</artifactId>
							<uri>gazelle-model-common.jar</uri>
						</ejbModule>
						<!-- cda editor modules -->
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>cda-editor-jar</artifactId>
							<uri>cda-editor-jar.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>nblock-editor-jar</artifactId>
							<uri>nblock-editor-jar.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>datatypes-editor-jar</artifactId>
							<uri>datatypes-editor-jar.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>common-editor-jar</artifactId>
							<uri>common-editor-jar.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
							<artifactId>mbval-documentation-ejb</artifactId>
							<uri>mbval-documentation-ejb.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>org.jboss.seam</groupId>
							<artifactId>jboss-seam</artifactId>
							<uri>jboss-seam.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle.tm</groupId>
							<artifactId>gazelle-tm-tools</artifactId>
							<uri>gazelle-tm-tools.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle.maven</groupId>
							<artifactId>gazelle-seam-tools-jar</artifactId>
							<uri>gazelle-seam-tools-jar.jar</uri>
						</ejbModule>
						<ejbModule>
							<groupId>net.ihe.gazelle</groupId>
	      					<artifactId>metadata-v7</artifactId>
							<uri>metadata-v7.jar</uri>
						</ejbModule>
						<ejbModule>
						    <groupId>net.ihe.gazelle.maven</groupId>
						    <artifactId>PatientGeneration-model</artifactId>
						    <uri>PatientGeneration-model.jar</uri>
						</ejbModule>
					</modules>
					<version>6</version>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.3</version>
				<configuration>
					<descriptors>
						<descriptor>src/main/assembly/zip.xml</descriptor>
						<descriptor>src/main/assembly/soapui.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
		<finalName>CDAGenerator</finalName>
	</build>
	<profiles>
	</profiles>
	<dependencies>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>CDAGenerator-ui</artifactId>
			<type>war</type>
			<version>3.0.1-SNAPSHOT</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>CDAGenerator-ejb</artifactId>
			<type>ejb</type>
			<version>3.0.1-SNAPSHOT</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>net.ihe.gazelle</groupId>
			<artifactId>gazelle-preferences</artifactId>
			<type>ejb</type>
			<scope>compile</scope>
		</dependency>
		<!-- Seam dependencies -->
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam</artifactId>
			<type>ejb</type>
			<exclusions>
				<exclusion>
					<groupId>xstream</groupId>
					<artifactId>xstream</artifactId>
				</exclusion>
				<exclusion>
					<groupId>xpp3</groupId>
					<artifactId>xpp3_min</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		
		<dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>gazelle-seam-tools-jar</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>asm</groupId>
            <artifactId>asm</artifactId>
            <version>3.3.1</version>
            <scope>provided</scope>
        </dependency>
        
        <dependency>
			<groupId>net.ihe.gazelle.maven</groupId>
			<artifactId>PatientGeneration-model</artifactId>
			<type>ejb</type>
			<version>${patient.generation.version}</version>
			<exclusions>
				<exclusion>
					<artifactId>simulator-common-ejb</artifactId>
					<groupId>net.ihe.gazelle.simulators</groupId>
				</exclusion>
			</exclusions>
		</dependency>
        
	</dependencies>
</project>
